Summary:	Tools to help creation of multiarch binaries and includes
Name:		multiarch-utils
Version:	1.0.12
Release:	1
Source0:	%{name}-%{version}.tar.xz
License:	GPL
Group:		Development/Other
Url:		http://www.mandrivalinux.com/
BuildArch:	noarch

%description
multiarch-utils is a collection of helper utilities to dispatch
binaries and include files during RPM package build.

%prep
%setup -q

%install
%makeinstall_std

%files
%doc NEWS ChangeLog
%{_bindir}/multiarch-platform
%{_bindir}/multiarch-dispatch
%{_includedir}/multiarch-dispatch.h
%{_sysconfdir}/rpm/macros.d/multiarch.macros
%{_prefix}/lib/rpm/mkmultiarch
%{_prefix}/lib/rpm/check-multiarch-files


%changelog
* Thu Apr 07 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.0.12-1
+ Revision: 651810
- clean out legacy stuff
- revert multiarch workaround, now fixed properly in rpm in stead

* Sat Apr 02 2011 Funda Wang <fwang@mandriva.org> 1.0.11-1
+ Revision: 649911
- 1.0.11 (use _build_arch rather than _arch for multiarch-dispatcher)

* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 1.0.10-2mdv2011.0
+ Revision: 606669
- rebuild

* Sun Jan 24 2010 Anssi Hannula <anssi@mandriva.org> 1.0.10-1mdv2010.1
+ Revision: 495441
- 1.0.10
  o patches from package applied upstream
  o add additional guards for some interfering definitions in
    multiarch-dispatch.h (reported by J?\195?\169r?\195?\180me Brenier)
  o remove dispatch file for host.def, it is no longer used

* Sun Sep 27 2009 Olivier Blin <oblin@mandriva.com> 1.0.9-9mdv2010.0
+ Revision: 450160
- mipsel & armel support (from Arnaud Patard)

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.0.9-8mdv2010.0
+ Revision: 426200
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.0.9-7mdv2009.1
+ Revision: 351612
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.0.9-6mdv2009.0
+ Revision: 223329
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 1.0.9-5mdv2008.1
+ Revision: 153271
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - fix broken sparc64 check (P0, fixes #27277)
    - fix broken check for rpm/macros.d directory (P1)


* Fri Sep 22 2006 Warly <warly@mandriva.com> 1.0.9-3mdv2007.0
- now use /usr/lib/X11 instead of /usr/X11R6/lib/X11

* Mon Aug 08 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.0.9-2mdk
- build fixes and use /etc/rpm/macros.d/* for MDV 2006

* Sun Aug 07 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 1.0.9-1mdk
- handle symlinks to multiarch binaries
- handle cases where multiarch binary name contains spaces

* Thu Mar 10 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.8-1mdk
- quotemeta $RPM_BUILD_ROOT in regexp

* Wed Feb 23 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.7-1mdk
- multiarch x11 host.def
- new heuristics for multiarch files checker (ace-config)
- only check for multiarch files in the usual development directories

* Thu Feb 10 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.6-1mdk
- check-multiarch-files: new multiarch hint: BITS_PER_WORD
- check-multiarch-files: handle --libtool in config scripts
- check-multiarch-files: don't match */lib/{font,X11} in headers

* Mon Jan 31 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.5-1mdk
- mkmultiarch: handle ciruclar inclusions (e.g. gd.h)
- check-multiarch-files: better heuristics (gdlib-config, mysql_config)

* Mon Jan 31 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.4-1mdk
- mkmultiarch: handle /usr/include/header.h cases
- mkmultiarch: handle symlinks in binaries to be dispatched
- macros.multiarch: add multiarch_{platform,x11bindir,x11includedir}

* Tue Jan 25 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.3-1mdk
- add %%multiarch_{bin,include}dir aliases
- better os independence, "linux" is detected

* Mon Jan 24 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.2-1mdk
- add check-multiarch-files

* Thu Jan 20 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.1-1mdk
- add %%multiarch macro to mark %%files that are multiarch enabled;
  that's a helper macro that expands to nothing on older distributions

* Wed Jan 12 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-1mdk
- initial release

